/*
 * No-copyright
 * A table of numbers, generated by a script, is supposedly not copyrightable.
 */

{ 0x00000001, 0x0000 },
{ 0x00000002, 0x07C0 },
{ 0x00000003, 0x0001 },
{ 0x00000004, 0x0780 },
{ 0x00000006, 0x07C1 },
{ 0x00000007, 0x0002 },
{ 0x00000008, 0x0740 },
{ 0x0000000c, 0x0781 },
{ 0x0000000e, 0x07C2 },
{ 0x0000000f, 0x0003 },
{ 0x00000010, 0x0700 },
{ 0x00000018, 0x0741 },
{ 0x0000001c, 0x0782 },
{ 0x0000001e, 0x07C3 },
{ 0x0000001f, 0x0004 },
{ 0x00000020, 0x06C0 },
{ 0x00000030, 0x0701 },
{ 0x00000038, 0x0742 },
{ 0x0000003c, 0x0783 },
{ 0x0000003e, 0x07C4 },
{ 0x0000003f, 0x0005 },
{ 0x00000040, 0x0680 },
{ 0x00000060, 0x06C1 },
{ 0x00000070, 0x0702 },
{ 0x00000078, 0x0743 },
{ 0x0000007c, 0x0784 },
{ 0x0000007e, 0x07C5 },
{ 0x0000007f, 0x0006 },
{ 0x00000080, 0x0640 },
{ 0x000000c0, 0x0681 },
{ 0x000000e0, 0x06C2 },
{ 0x000000f0, 0x0703 },
{ 0x000000f8, 0x0744 },
{ 0x000000fc, 0x0785 },
{ 0x000000fe, 0x07C6 },
{ 0x000000ff, 0x0007 },
{ 0x00000100, 0x0600 },
{ 0x00000180, 0x0641 },
{ 0x000001c0, 0x0682 },
{ 0x000001e0, 0x06C3 },
{ 0x000001f0, 0x0704 },
{ 0x000001f8, 0x0745 },
{ 0x000001fc, 0x0786 },
{ 0x000001fe, 0x07C7 },
{ 0x000001ff, 0x0008 },
{ 0x00000200, 0x05C0 },
{ 0x00000300, 0x0601 },
{ 0x00000380, 0x0642 },
{ 0x000003c0, 0x0683 },
{ 0x000003e0, 0x06C4 },
{ 0x000003f0, 0x0705 },
{ 0x000003f8, 0x0746 },
{ 0x000003fc, 0x0787 },
{ 0x000003fe, 0x07C8 },
{ 0x000003ff, 0x0009 },
{ 0x00000400, 0x0580 },
{ 0x00000600, 0x05C1 },
{ 0x00000700, 0x0602 },
{ 0x00000780, 0x0643 },
{ 0x000007c0, 0x0684 },
{ 0x000007e0, 0x06C5 },
{ 0x000007f0, 0x0706 },
{ 0x000007f8, 0x0747 },
{ 0x000007fc, 0x0788 },
{ 0x000007fe, 0x07C9 },
{ 0x000007ff, 0x000A },
{ 0x00000800, 0x0540 },
{ 0x00000c00, 0x0581 },
{ 0x00000e00, 0x05C2 },
{ 0x00000f00, 0x0603 },
{ 0x00000f80, 0x0644 },
{ 0x00000fc0, 0x0685 },
{ 0x00000fe0, 0x06C6 },
{ 0x00000ff0, 0x0707 },
{ 0x00000ff8, 0x0748 },
{ 0x00000ffc, 0x0789 },
{ 0x00000ffe, 0x07CA },
{ 0x00000fff, 0x000B },
{ 0x00001000, 0x0500 },
{ 0x00001800, 0x0541 },
{ 0x00001c00, 0x0582 },
{ 0x00001e00, 0x05C3 },
{ 0x00001f00, 0x0604 },
{ 0x00001f80, 0x0645 },
{ 0x00001fc0, 0x0686 },
{ 0x00001fe0, 0x06C7 },
{ 0x00001ff0, 0x0708 },
{ 0x00001ff8, 0x0749 },
{ 0x00001ffc, 0x078A },
{ 0x00001ffe, 0x07CB },
{ 0x00001fff, 0x000C },
{ 0x00002000, 0x04C0 },
{ 0x00003000, 0x0501 },
{ 0x00003800, 0x0542 },
{ 0x00003c00, 0x0583 },
{ 0x00003e00, 0x05C4 },
{ 0x00003f00, 0x0605 },
{ 0x00003f80, 0x0646 },
{ 0x00003fc0, 0x0687 },
{ 0x00003fe0, 0x06C8 },
{ 0x00003ff0, 0x0709 },
{ 0x00003ff8, 0x074A },
{ 0x00003ffc, 0x078B },
{ 0x00003ffe, 0x07CC },
{ 0x00003fff, 0x000D },
{ 0x00004000, 0x0480 },
{ 0x00006000, 0x04C1 },
{ 0x00007000, 0x0502 },
{ 0x00007800, 0x0543 },
{ 0x00007c00, 0x0584 },
{ 0x00007e00, 0x05C5 },
{ 0x00007f00, 0x0606 },
{ 0x00007f80, 0x0647 },
{ 0x00007fc0, 0x0688 },
{ 0x00007fe0, 0x06C9 },
{ 0x00007ff0, 0x070A },
{ 0x00007ff8, 0x074B },
{ 0x00007ffc, 0x078C },
{ 0x00007ffe, 0x07CD },
{ 0x00007fff, 0x000E },
{ 0x00008000, 0x0440 },
{ 0x0000c000, 0x0481 },
{ 0x0000e000, 0x04C2 },
{ 0x0000f000, 0x0503 },
{ 0x0000f800, 0x0544 },
{ 0x0000fc00, 0x0585 },
{ 0x0000fe00, 0x05C6 },
{ 0x0000ff00, 0x0607 },
{ 0x0000ff80, 0x0648 },
{ 0x0000ffc0, 0x0689 },
{ 0x0000ffe0, 0x06CA },
{ 0x0000fff0, 0x070B },
{ 0x0000fff8, 0x074C },
{ 0x0000fffc, 0x078D },
{ 0x0000fffe, 0x07CE },
{ 0x0000ffff, 0x000F },
{ 0x00010000, 0x0400 },
{ 0x00010001, 0x0020 },
{ 0x00010001, 0x0420 },
{ 0x00018000, 0x0441 },
{ 0x0001c000, 0x0482 },
{ 0x0001e000, 0x04C3 },
{ 0x0001f000, 0x0504 },
{ 0x0001f800, 0x0545 },
{ 0x0001fc00, 0x0586 },
{ 0x0001fe00, 0x05C7 },
{ 0x0001ff00, 0x0608 },
{ 0x0001ff80, 0x0649 },
{ 0x0001ffc0, 0x068A },
{ 0x0001ffe0, 0x06CB },
{ 0x0001fff0, 0x070C },
{ 0x0001fff8, 0x074D },
{ 0x0001fffc, 0x078E },
{ 0x0001fffe, 0x07CF },
{ 0x0001ffff, 0x0010 },
{ 0x00020000, 0x03C0 },
{ 0x00020002, 0x03E0 },
{ 0x00020002, 0x07E0 },
{ 0x00030000, 0x0401 },
{ 0x00030003, 0x0021 },
{ 0x00030003, 0x0421 },
{ 0x00038000, 0x0442 },
{ 0x0003c000, 0x0483 },
{ 0x0003e000, 0x04C4 },
{ 0x0003f000, 0x0505 },
{ 0x0003f800, 0x0546 },
{ 0x0003fc00, 0x0587 },
{ 0x0003fe00, 0x05C8 },
{ 0x0003ff00, 0x0609 },
{ 0x0003ff80, 0x064A },
{ 0x0003ffc0, 0x068B },
{ 0x0003ffe0, 0x06CC },
{ 0x0003fff0, 0x070D },
{ 0x0003fff8, 0x074E },
{ 0x0003fffc, 0x078F },
{ 0x0003fffe, 0x07D0 },
{ 0x0003ffff, 0x0011 },
{ 0x00040000, 0x0380 },
{ 0x00040004, 0x03A0 },
{ 0x00040004, 0x07A0 },
{ 0x00060000, 0x03C1 },
{ 0x00060006, 0x03E1 },
{ 0x00060006, 0x07E1 },
{ 0x00070000, 0x0402 },
{ 0x00070007, 0x0022 },
{ 0x00070007, 0x0422 },
{ 0x00078000, 0x0443 },
{ 0x0007c000, 0x0484 },
{ 0x0007e000, 0x04C5 },
{ 0x0007f000, 0x0506 },
{ 0x0007f800, 0x0547 },
{ 0x0007fc00, 0x0588 },
{ 0x0007fe00, 0x05C9 },
{ 0x0007ff00, 0x060A },
{ 0x0007ff80, 0x064B },
{ 0x0007ffc0, 0x068C },
{ 0x0007ffe0, 0x06CD },
{ 0x0007fff0, 0x070E },
{ 0x0007fff8, 0x074F },
{ 0x0007fffc, 0x0790 },
{ 0x0007fffe, 0x07D1 },
{ 0x0007ffff, 0x0012 },
{ 0x00080000, 0x0340 },
{ 0x00080008, 0x0360 },
{ 0x00080008, 0x0760 },
{ 0x000c0000, 0x0381 },
{ 0x000c000c, 0x03A1 },
{ 0x000c000c, 0x07A1 },
{ 0x000e0000, 0x03C2 },
{ 0x000e000e, 0x03E2 },
{ 0x000e000e, 0x07E2 },
{ 0x000f0000, 0x0403 },
{ 0x000f000f, 0x0023 },
{ 0x000f000f, 0x0423 },
{ 0x000f8000, 0x0444 },
{ 0x000fc000, 0x0485 },
{ 0x000fe000, 0x04C6 },
{ 0x000ff000, 0x0507 },
{ 0x000ff800, 0x0548 },
{ 0x000ffc00, 0x0589 },
{ 0x000ffe00, 0x05CA },
{ 0x000fff00, 0x060B },
{ 0x000fff80, 0x064C },
{ 0x000fffc0, 0x068D },
{ 0x000fffe0, 0x06CE },
{ 0x000ffff0, 0x070F },
{ 0x000ffff8, 0x0750 },
{ 0x000ffffc, 0x0791 },
{ 0x000ffffe, 0x07D2 },
{ 0x000fffff, 0x0013 },
{ 0x00100000, 0x0300 },
{ 0x00100010, 0x0320 },
{ 0x00100010, 0x0720 },
{ 0x00180000, 0x0341 },
{ 0x00180018, 0x0361 },
{ 0x00180018, 0x0761 },
{ 0x001c0000, 0x0382 },
{ 0x001c001c, 0x03A2 },
{ 0x001c001c, 0x07A2 },
{ 0x001e0000, 0x03C3 },
{ 0x001e001e, 0x03E3 },
{ 0x001e001e, 0x07E3 },
{ 0x001f0000, 0x0404 },
{ 0x001f001f, 0x0024 },
{ 0x001f001f, 0x0424 },
{ 0x001f8000, 0x0445 },
{ 0x001fc000, 0x0486 },
{ 0x001fe000, 0x04C7 },
{ 0x001ff000, 0x0508 },
{ 0x001ff800, 0x0549 },
{ 0x001ffc00, 0x058A },
{ 0x001ffe00, 0x05CB },
{ 0x001fff00, 0x060C },
{ 0x001fff80, 0x064D },
{ 0x001fffc0, 0x068E },
{ 0x001fffe0, 0x06CF },
{ 0x001ffff0, 0x0710 },
{ 0x001ffff8, 0x0751 },
{ 0x001ffffc, 0x0792 },
{ 0x001ffffe, 0x07D3 },
{ 0x001fffff, 0x0014 },
{ 0x00200000, 0x02C0 },
{ 0x00200020, 0x02E0 },
{ 0x00200020, 0x06E0 },
{ 0x00300000, 0x0301 },
{ 0x00300030, 0x0321 },
{ 0x00300030, 0x0721 },
{ 0x00380000, 0x0342 },
{ 0x00380038, 0x0362 },
{ 0x00380038, 0x0762 },
{ 0x003c0000, 0x0383 },
{ 0x003c003c, 0x03A3 },
{ 0x003c003c, 0x07A3 },
{ 0x003e0000, 0x03C4 },
{ 0x003e003e, 0x03E4 },
{ 0x003e003e, 0x07E4 },
{ 0x003f0000, 0x0405 },
{ 0x003f003f, 0x0025 },
{ 0x003f003f, 0x0425 },
{ 0x003f8000, 0x0446 },
{ 0x003fc000, 0x0487 },
{ 0x003fe000, 0x04C8 },
{ 0x003ff000, 0x0509 },
{ 0x003ff800, 0x054A },
{ 0x003ffc00, 0x058B },
{ 0x003ffe00, 0x05CC },
{ 0x003fff00, 0x060D },
{ 0x003fff80, 0x064E },
{ 0x003fffc0, 0x068F },
{ 0x003fffe0, 0x06D0 },
{ 0x003ffff0, 0x0711 },
{ 0x003ffff8, 0x0752 },
{ 0x003ffffc, 0x0793 },
{ 0x003ffffe, 0x07D4 },
{ 0x003fffff, 0x0015 },
{ 0x00400000, 0x0280 },
{ 0x00400040, 0x02A0 },
{ 0x00400040, 0x06A0 },
{ 0x00600000, 0x02C1 },
{ 0x00600060, 0x02E1 },
{ 0x00600060, 0x06E1 },
{ 0x00700000, 0x0302 },
{ 0x00700070, 0x0322 },
{ 0x00700070, 0x0722 },
{ 0x00780000, 0x0343 },
{ 0x00780078, 0x0363 },
{ 0x00780078, 0x0763 },
{ 0x007c0000, 0x0384 },
{ 0x007c007c, 0x03A4 },
{ 0x007c007c, 0x07A4 },
{ 0x007e0000, 0x03C5 },
{ 0x007e007e, 0x03E5 },
{ 0x007e007e, 0x07E5 },
{ 0x007f0000, 0x0406 },
{ 0x007f007f, 0x0026 },
{ 0x007f007f, 0x0426 },
{ 0x007f8000, 0x0447 },
{ 0x007fc000, 0x0488 },
{ 0x007fe000, 0x04C9 },
{ 0x007ff000, 0x050A },
{ 0x007ff800, 0x054B },
{ 0x007ffc00, 0x058C },
{ 0x007ffe00, 0x05CD },
{ 0x007fff00, 0x060E },
{ 0x007fff80, 0x064F },
{ 0x007fffc0, 0x0690 },
{ 0x007fffe0, 0x06D1 },
{ 0x007ffff0, 0x0712 },
{ 0x007ffff8, 0x0753 },
{ 0x007ffffc, 0x0794 },
{ 0x007ffffe, 0x07D5 },
{ 0x007fffff, 0x0016 },
{ 0x00800000, 0x0240 },
{ 0x00800080, 0x0260 },
{ 0x00800080, 0x0660 },
{ 0x00c00000, 0x0281 },
{ 0x00c000c0, 0x02A1 },
{ 0x00c000c0, 0x06A1 },
{ 0x00e00000, 0x02C2 },
{ 0x00e000e0, 0x02E2 },
{ 0x00e000e0, 0x06E2 },
{ 0x00f00000, 0x0303 },
{ 0x00f000f0, 0x0323 },
{ 0x00f000f0, 0x0723 },
{ 0x00f80000, 0x0344 },
{ 0x00f800f8, 0x0364 },
{ 0x00f800f8, 0x0764 },
{ 0x00fc0000, 0x0385 },
{ 0x00fc00fc, 0x03A5 },
{ 0x00fc00fc, 0x07A5 },
{ 0x00fe0000, 0x03C6 },
{ 0x00fe00fe, 0x03E6 },
{ 0x00fe00fe, 0x07E6 },
{ 0x00ff0000, 0x0407 },
{ 0x00ff00ff, 0x0027 },
{ 0x00ff00ff, 0x0427 },
{ 0x00ff8000, 0x0448 },
{ 0x00ffc000, 0x0489 },
{ 0x00ffe000, 0x04CA },
{ 0x00fff000, 0x050B },
{ 0x00fff800, 0x054C },
{ 0x00fffc00, 0x058D },
{ 0x00fffe00, 0x05CE },
{ 0x00ffff00, 0x060F },
{ 0x00ffff80, 0x0650 },
{ 0x00ffffc0, 0x0691 },
{ 0x00ffffe0, 0x06D2 },
{ 0x00fffff0, 0x0713 },
{ 0x00fffff8, 0x0754 },
{ 0x00fffffc, 0x0795 },
{ 0x00fffffe, 0x07D6 },
{ 0x00ffffff, 0x0017 },
{ 0x01000000, 0x0200 },
{ 0x01000100, 0x0220 },
{ 0x01000100, 0x0620 },
{ 0x01010101, 0x0030 },
{ 0x01010101, 0x0230 },
{ 0x01010101, 0x0430 },
{ 0x01010101, 0x0630 },
{ 0x01800000, 0x0241 },
{ 0x01800180, 0x0261 },
{ 0x01800180, 0x0661 },
{ 0x01c00000, 0x0282 },
{ 0x01c001c0, 0x02A2 },
{ 0x01c001c0, 0x06A2 },
{ 0x01e00000, 0x02C3 },
{ 0x01e001e0, 0x02E3 },
{ 0x01e001e0, 0x06E3 },
{ 0x01f00000, 0x0304 },
{ 0x01f001f0, 0x0324 },
{ 0x01f001f0, 0x0724 },
{ 0x01f80000, 0x0345 },
{ 0x01f801f8, 0x0365 },
{ 0x01f801f8, 0x0765 },
{ 0x01fc0000, 0x0386 },
{ 0x01fc01fc, 0x03A6 },
{ 0x01fc01fc, 0x07A6 },
{ 0x01fe0000, 0x03C7 },
{ 0x01fe01fe, 0x03E7 },
{ 0x01fe01fe, 0x07E7 },
{ 0x01ff0000, 0x0408 },
{ 0x01ff01ff, 0x0028 },
{ 0x01ff01ff, 0x0428 },
{ 0x01ff8000, 0x0449 },
{ 0x01ffc000, 0x048A },
{ 0x01ffe000, 0x04CB },
{ 0x01fff000, 0x050C },
{ 0x01fff800, 0x054D },
{ 0x01fffc00, 0x058E },
{ 0x01fffe00, 0x05CF },
{ 0x01ffff00, 0x0610 },
{ 0x01ffff80, 0x0651 },
{ 0x01ffffc0, 0x0692 },
{ 0x01ffffe0, 0x06D3 },
{ 0x01fffff0, 0x0714 },
{ 0x01fffff8, 0x0755 },
{ 0x01fffffc, 0x0796 },
{ 0x01fffffe, 0x07D7 },
{ 0x01ffffff, 0x0018 },
{ 0x02000000, 0x01C0 },
{ 0x02000200, 0x01E0 },
{ 0x02000200, 0x05E0 },
{ 0x02020202, 0x01F0 },
{ 0x02020202, 0x03F0 },
{ 0x02020202, 0x05F0 },
{ 0x02020202, 0x07F0 },
{ 0x03000000, 0x0201 },
{ 0x03000300, 0x0221 },
{ 0x03000300, 0x0621 },
{ 0x03030303, 0x0031 },
{ 0x03030303, 0x0231 },
{ 0x03030303, 0x0431 },
{ 0x03030303, 0x0631 },
{ 0x03800000, 0x0242 },
{ 0x03800380, 0x0262 },
{ 0x03800380, 0x0662 },
{ 0x03c00000, 0x0283 },
{ 0x03c003c0, 0x02A3 },
{ 0x03c003c0, 0x06A3 },
{ 0x03e00000, 0x02C4 },
{ 0x03e003e0, 0x02E4 },
{ 0x03e003e0, 0x06E4 },
{ 0x03f00000, 0x0305 },
{ 0x03f003f0, 0x0325 },
{ 0x03f003f0, 0x0725 },
{ 0x03f80000, 0x0346 },
{ 0x03f803f8, 0x0366 },
{ 0x03f803f8, 0x0766 },
{ 0x03fc0000, 0x0387 },
{ 0x03fc03fc, 0x03A7 },
{ 0x03fc03fc, 0x07A7 },
{ 0x03fe0000, 0x03C8 },
{ 0x03fe03fe, 0x03E8 },
{ 0x03fe03fe, 0x07E8 },
{ 0x03ff0000, 0x0409 },
{ 0x03ff03ff, 0x0029 },
{ 0x03ff03ff, 0x0429 },
{ 0x03ff8000, 0x044A },
{ 0x03ffc000, 0x048B },
{ 0x03ffe000, 0x04CC },
{ 0x03fff000, 0x050D },
{ 0x03fff800, 0x054E },
{ 0x03fffc00, 0x058F },
{ 0x03fffe00, 0x05D0 },
{ 0x03ffff00, 0x0611 },
{ 0x03ffff80, 0x0652 },
{ 0x03ffffc0, 0x0693 },
{ 0x03ffffe0, 0x06D4 },
{ 0x03fffff0, 0x0715 },
{ 0x03fffff8, 0x0756 },
{ 0x03fffffc, 0x0797 },
{ 0x03fffffe, 0x07D8 },
{ 0x03ffffff, 0x0019 },
{ 0x04000000, 0x0180 },
{ 0x04000400, 0x01A0 },
{ 0x04000400, 0x05A0 },
{ 0x04040404, 0x01B0 },
{ 0x04040404, 0x03B0 },
{ 0x04040404, 0x05B0 },
{ 0x04040404, 0x07B0 },
{ 0x06000000, 0x01C1 },
{ 0x06000600, 0x01E1 },
{ 0x06000600, 0x05E1 },
{ 0x06060606, 0x01F1 },
{ 0x06060606, 0x03F1 },
{ 0x06060606, 0x05F1 },
{ 0x06060606, 0x07F1 },
{ 0x07000000, 0x0202 },
{ 0x07000700, 0x0222 },
{ 0x07000700, 0x0622 },
{ 0x07070707, 0x0032 },
{ 0x07070707, 0x0232 },
{ 0x07070707, 0x0432 },
{ 0x07070707, 0x0632 },
{ 0x07800000, 0x0243 },
{ 0x07800780, 0x0263 },
{ 0x07800780, 0x0663 },
{ 0x07c00000, 0x0284 },
{ 0x07c007c0, 0x02A4 },
{ 0x07c007c0, 0x06A4 },
{ 0x07e00000, 0x02C5 },
{ 0x07e007e0, 0x02E5 },
{ 0x07e007e0, 0x06E5 },
{ 0x07f00000, 0x0306 },
{ 0x07f007f0, 0x0326 },
{ 0x07f007f0, 0x0726 },
{ 0x07f80000, 0x0347 },
{ 0x07f807f8, 0x0367 },
{ 0x07f807f8, 0x0767 },
{ 0x07fc0000, 0x0388 },
{ 0x07fc07fc, 0x03A8 },
{ 0x07fc07fc, 0x07A8 },
{ 0x07fe0000, 0x03C9 },
{ 0x07fe07fe, 0x03E9 },
{ 0x07fe07fe, 0x07E9 },
{ 0x07ff0000, 0x040A },
{ 0x07ff07ff, 0x002A },
{ 0x07ff07ff, 0x042A },
{ 0x07ff8000, 0x044B },
{ 0x07ffc000, 0x048C },
{ 0x07ffe000, 0x04CD },
{ 0x07fff000, 0x050E },
{ 0x07fff800, 0x054F },
{ 0x07fffc00, 0x0590 },
{ 0x07fffe00, 0x05D1 },
{ 0x07ffff00, 0x0612 },
{ 0x07ffff80, 0x0653 },
{ 0x07ffffc0, 0x0694 },
{ 0x07ffffe0, 0x06D5 },
{ 0x07fffff0, 0x0716 },
{ 0x07fffff8, 0x0757 },
{ 0x07fffffc, 0x0798 },
{ 0x07fffffe, 0x07D9 },
{ 0x07ffffff, 0x001A },
{ 0x08000000, 0x0140 },
{ 0x08000800, 0x0160 },
{ 0x08000800, 0x0560 },
{ 0x08080808, 0x0170 },
{ 0x08080808, 0x0370 },
{ 0x08080808, 0x0570 },
{ 0x08080808, 0x0770 },
{ 0x0c000000, 0x0181 },
{ 0x0c000c00, 0x01A1 },
{ 0x0c000c00, 0x05A1 },
{ 0x0c0c0c0c, 0x01B1 },
{ 0x0c0c0c0c, 0x03B1 },
{ 0x0c0c0c0c, 0x05B1 },
{ 0x0c0c0c0c, 0x07B1 },
{ 0x0e000000, 0x01C2 },
{ 0x0e000e00, 0x01E2 },
{ 0x0e000e00, 0x05E2 },
{ 0x0e0e0e0e, 0x01F2 },
{ 0x0e0e0e0e, 0x03F2 },
{ 0x0e0e0e0e, 0x05F2 },
{ 0x0e0e0e0e, 0x07F2 },
{ 0x0f000000, 0x0203 },
{ 0x0f000f00, 0x0223 },
{ 0x0f000f00, 0x0623 },
{ 0x0f0f0f0f, 0x0033 },
{ 0x0f0f0f0f, 0x0233 },
{ 0x0f0f0f0f, 0x0433 },
{ 0x0f0f0f0f, 0x0633 },
{ 0x0f800000, 0x0244 },
{ 0x0f800f80, 0x0264 },
{ 0x0f800f80, 0x0664 },
{ 0x0fc00000, 0x0285 },
{ 0x0fc00fc0, 0x02A5 },
{ 0x0fc00fc0, 0x06A5 },
{ 0x0fe00000, 0x02C6 },
{ 0x0fe00fe0, 0x02E6 },
{ 0x0fe00fe0, 0x06E6 },
{ 0x0ff00000, 0x0307 },
{ 0x0ff00ff0, 0x0327 },
{ 0x0ff00ff0, 0x0727 },
{ 0x0ff80000, 0x0348 },
{ 0x0ff80ff8, 0x0368 },
{ 0x0ff80ff8, 0x0768 },
{ 0x0ffc0000, 0x0389 },
{ 0x0ffc0ffc, 0x03A9 },
{ 0x0ffc0ffc, 0x07A9 },
{ 0x0ffe0000, 0x03CA },
{ 0x0ffe0ffe, 0x03EA },
{ 0x0ffe0ffe, 0x07EA },
{ 0x0fff0000, 0x040B },
{ 0x0fff0fff, 0x002B },
{ 0x0fff0fff, 0x042B },
{ 0x0fff8000, 0x044C },
{ 0x0fffc000, 0x048D },
{ 0x0fffe000, 0x04CE },
{ 0x0ffff000, 0x050F },
{ 0x0ffff800, 0x0550 },
{ 0x0ffffc00, 0x0591 },
{ 0x0ffffe00, 0x05D2 },
{ 0x0fffff00, 0x0613 },
{ 0x0fffff80, 0x0654 },
{ 0x0fffffc0, 0x0695 },
{ 0x0fffffe0, 0x06D6 },
{ 0x0ffffff0, 0x0717 },
{ 0x0ffffff8, 0x0758 },
{ 0x0ffffffc, 0x0799 },
{ 0x0ffffffe, 0x07DA },
{ 0x0fffffff, 0x001B },
{ 0x10000000, 0x0100 },
{ 0x10001000, 0x0120 },
{ 0x10001000, 0x0520 },
{ 0x10101010, 0x0130 },
{ 0x10101010, 0x0330 },
{ 0x10101010, 0x0530 },
{ 0x10101010, 0x0730 },
{ 0x11111111, 0x0038 },
{ 0x11111111, 0x0138 },
{ 0x11111111, 0x0238 },
{ 0x11111111, 0x0338 },
{ 0x11111111, 0x0438 },
{ 0x11111111, 0x0538 },
{ 0x11111111, 0x0638 },
{ 0x11111111, 0x0738 },
{ 0x18000000, 0x0141 },
{ 0x18001800, 0x0161 },
{ 0x18001800, 0x0561 },
{ 0x18181818, 0x0171 },
{ 0x18181818, 0x0371 },
{ 0x18181818, 0x0571 },
{ 0x18181818, 0x0771 },
{ 0x1c000000, 0x0182 },
{ 0x1c001c00, 0x01A2 },
{ 0x1c001c00, 0x05A2 },
{ 0x1c1c1c1c, 0x01B2 },
{ 0x1c1c1c1c, 0x03B2 },
{ 0x1c1c1c1c, 0x05B2 },
{ 0x1c1c1c1c, 0x07B2 },
{ 0x1e000000, 0x01C3 },
{ 0x1e001e00, 0x01E3 },
{ 0x1e001e00, 0x05E3 },
{ 0x1e1e1e1e, 0x01F3 },
{ 0x1e1e1e1e, 0x03F3 },
{ 0x1e1e1e1e, 0x05F3 },
{ 0x1e1e1e1e, 0x07F3 },
{ 0x1f000000, 0x0204 },
{ 0x1f001f00, 0x0224 },
{ 0x1f001f00, 0x0624 },
{ 0x1f1f1f1f, 0x0034 },
{ 0x1f1f1f1f, 0x0234 },
{ 0x1f1f1f1f, 0x0434 },
{ 0x1f1f1f1f, 0x0634 },
{ 0x1f800000, 0x0245 },
{ 0x1f801f80, 0x0265 },
{ 0x1f801f80, 0x0665 },
{ 0x1fc00000, 0x0286 },
{ 0x1fc01fc0, 0x02A6 },
{ 0x1fc01fc0, 0x06A6 },
{ 0x1fe00000, 0x02C7 },
{ 0x1fe01fe0, 0x02E7 },
{ 0x1fe01fe0, 0x06E7 },
{ 0x1ff00000, 0x0308 },
{ 0x1ff01ff0, 0x0328 },
{ 0x1ff01ff0, 0x0728 },
{ 0x1ff80000, 0x0349 },
{ 0x1ff81ff8, 0x0369 },
{ 0x1ff81ff8, 0x0769 },
{ 0x1ffc0000, 0x038A },
{ 0x1ffc1ffc, 0x03AA },
{ 0x1ffc1ffc, 0x07AA },
{ 0x1ffe0000, 0x03CB },
{ 0x1ffe1ffe, 0x03EB },
{ 0x1ffe1ffe, 0x07EB },
{ 0x1fff0000, 0x040C },
{ 0x1fff1fff, 0x002C },
{ 0x1fff1fff, 0x042C },
{ 0x1fff8000, 0x044D },
{ 0x1fffc000, 0x048E },
{ 0x1fffe000, 0x04CF },
{ 0x1ffff000, 0x0510 },
{ 0x1ffff800, 0x0551 },
{ 0x1ffffc00, 0x0592 },
{ 0x1ffffe00, 0x05D3 },
{ 0x1fffff00, 0x0614 },
{ 0x1fffff80, 0x0655 },
{ 0x1fffffc0, 0x0696 },
{ 0x1fffffe0, 0x06D7 },
{ 0x1ffffff0, 0x0718 },
{ 0x1ffffff8, 0x0759 },
{ 0x1ffffffc, 0x079A },
{ 0x1ffffffe, 0x07DB },
{ 0x1fffffff, 0x001C },
{ 0x20000000, 0x00C0 },
{ 0x20002000, 0x00E0 },
{ 0x20002000, 0x04E0 },
{ 0x20202020, 0x00F0 },
{ 0x20202020, 0x02F0 },
{ 0x20202020, 0x04F0 },
{ 0x20202020, 0x06F0 },
{ 0x22222222, 0x00F8 },
{ 0x22222222, 0x01F8 },
{ 0x22222222, 0x02F8 },
{ 0x22222222, 0x03F8 },
{ 0x22222222, 0x04F8 },
{ 0x22222222, 0x05F8 },
{ 0x22222222, 0x06F8 },
{ 0x22222222, 0x07F8 },
{ 0x30000000, 0x0101 },
{ 0x30003000, 0x0121 },
{ 0x30003000, 0x0521 },
{ 0x30303030, 0x0131 },
{ 0x30303030, 0x0331 },
{ 0x30303030, 0x0531 },
{ 0x30303030, 0x0731 },
{ 0x33333333, 0x0039 },
{ 0x33333333, 0x0139 },
{ 0x33333333, 0x0239 },
{ 0x33333333, 0x0339 },
{ 0x33333333, 0x0439 },
{ 0x33333333, 0x0539 },
{ 0x33333333, 0x0639 },
{ 0x33333333, 0x0739 },
{ 0x38000000, 0x0142 },
{ 0x38003800, 0x0162 },
{ 0x38003800, 0x0562 },
{ 0x38383838, 0x0172 },
{ 0x38383838, 0x0372 },
{ 0x38383838, 0x0572 },
{ 0x38383838, 0x0772 },
{ 0x3c000000, 0x0183 },
{ 0x3c003c00, 0x01A3 },
{ 0x3c003c00, 0x05A3 },
{ 0x3c3c3c3c, 0x01B3 },
{ 0x3c3c3c3c, 0x03B3 },
{ 0x3c3c3c3c, 0x05B3 },
{ 0x3c3c3c3c, 0x07B3 },
{ 0x3e000000, 0x01C4 },
{ 0x3e003e00, 0x01E4 },
{ 0x3e003e00, 0x05E4 },
{ 0x3e3e3e3e, 0x01F4 },
{ 0x3e3e3e3e, 0x03F4 },
{ 0x3e3e3e3e, 0x05F4 },
{ 0x3e3e3e3e, 0x07F4 },
{ 0x3f000000, 0x0205 },
{ 0x3f003f00, 0x0225 },
{ 0x3f003f00, 0x0625 },
{ 0x3f3f3f3f, 0x0035 },
{ 0x3f3f3f3f, 0x0235 },
{ 0x3f3f3f3f, 0x0435 },
{ 0x3f3f3f3f, 0x0635 },
{ 0x3f800000, 0x0246 },
{ 0x3f803f80, 0x0266 },
{ 0x3f803f80, 0x0666 },
{ 0x3fc00000, 0x0287 },
{ 0x3fc03fc0, 0x02A7 },
{ 0x3fc03fc0, 0x06A7 },
{ 0x3fe00000, 0x02C8 },
{ 0x3fe03fe0, 0x02E8 },
{ 0x3fe03fe0, 0x06E8 },
{ 0x3ff00000, 0x0309 },
{ 0x3ff03ff0, 0x0329 },
{ 0x3ff03ff0, 0x0729 },
{ 0x3ff80000, 0x034A },
{ 0x3ff83ff8, 0x036A },
{ 0x3ff83ff8, 0x076A },
{ 0x3ffc0000, 0x038B },
{ 0x3ffc3ffc, 0x03AB },
{ 0x3ffc3ffc, 0x07AB },
{ 0x3ffe0000, 0x03CC },
{ 0x3ffe3ffe, 0x03EC },
{ 0x3ffe3ffe, 0x07EC },
{ 0x3fff0000, 0x040D },
{ 0x3fff3fff, 0x002D },
{ 0x3fff3fff, 0x042D },
{ 0x3fff8000, 0x044E },
{ 0x3fffc000, 0x048F },
{ 0x3fffe000, 0x04D0 },
{ 0x3ffff000, 0x0511 },
{ 0x3ffff800, 0x0552 },
{ 0x3ffffc00, 0x0593 },
{ 0x3ffffe00, 0x05D4 },
{ 0x3fffff00, 0x0615 },
{ 0x3fffff80, 0x0656 },
{ 0x3fffffc0, 0x0697 },
{ 0x3fffffe0, 0x06D8 },
{ 0x3ffffff0, 0x0719 },
{ 0x3ffffff8, 0x075A },
{ 0x3ffffffc, 0x079B },
{ 0x3ffffffe, 0x07DC },
{ 0x3fffffff, 0x001D },
{ 0x40000000, 0x0080 },
{ 0x40004000, 0x00A0 },
{ 0x40004000, 0x04A0 },
{ 0x40404040, 0x00B0 },
{ 0x40404040, 0x02B0 },
{ 0x40404040, 0x04B0 },
{ 0x40404040, 0x06B0 },
{ 0x44444444, 0x00B8 },
{ 0x44444444, 0x01B8 },
{ 0x44444444, 0x02B8 },
{ 0x44444444, 0x03B8 },
{ 0x44444444, 0x04B8 },
{ 0x44444444, 0x05B8 },
{ 0x44444444, 0x06B8 },
{ 0x44444444, 0x07B8 },
{ 0x55555555, 0x003C },
{ 0x55555555, 0x00BC },
{ 0x55555555, 0x013C },
{ 0x55555555, 0x01BC },
{ 0x55555555, 0x023C },
{ 0x55555555, 0x02BC },
{ 0x55555555, 0x033C },
{ 0x55555555, 0x03BC },
{ 0x55555555, 0x043C },
{ 0x55555555, 0x04BC },
{ 0x55555555, 0x053C },
{ 0x55555555, 0x05BC },
{ 0x55555555, 0x063C },
{ 0x55555555, 0x06BC },
{ 0x55555555, 0x073C },
{ 0x55555555, 0x07BC },
{ 0x60000000, 0x00C1 },
{ 0x60006000, 0x00E1 },
{ 0x60006000, 0x04E1 },
{ 0x60606060, 0x00F1 },
{ 0x60606060, 0x02F1 },
{ 0x60606060, 0x04F1 },
{ 0x60606060, 0x06F1 },
{ 0x66666666, 0x00F9 },
{ 0x66666666, 0x01F9 },
{ 0x66666666, 0x02F9 },
{ 0x66666666, 0x03F9 },
{ 0x66666666, 0x04F9 },
{ 0x66666666, 0x05F9 },
{ 0x66666666, 0x06F9 },
{ 0x66666666, 0x07F9 },
{ 0x70000000, 0x0102 },
{ 0x70007000, 0x0122 },
{ 0x70007000, 0x0522 },
{ 0x70707070, 0x0132 },
{ 0x70707070, 0x0332 },
{ 0x70707070, 0x0532 },
{ 0x70707070, 0x0732 },
{ 0x77777777, 0x003A },
{ 0x77777777, 0x013A },
{ 0x77777777, 0x023A },
{ 0x77777777, 0x033A },
{ 0x77777777, 0x043A },
{ 0x77777777, 0x053A },
{ 0x77777777, 0x063A },
{ 0x77777777, 0x073A },
{ 0x78000000, 0x0143 },
{ 0x78007800, 0x0163 },
{ 0x78007800, 0x0563 },
{ 0x78787878, 0x0173 },
{ 0x78787878, 0x0373 },
{ 0x78787878, 0x0573 },
{ 0x78787878, 0x0773 },
{ 0x7c000000, 0x0184 },
{ 0x7c007c00, 0x01A4 },
{ 0x7c007c00, 0x05A4 },
{ 0x7c7c7c7c, 0x01B4 },
{ 0x7c7c7c7c, 0x03B4 },
{ 0x7c7c7c7c, 0x05B4 },
{ 0x7c7c7c7c, 0x07B4 },
{ 0x7e000000, 0x01C5 },
{ 0x7e007e00, 0x01E5 },
{ 0x7e007e00, 0x05E5 },
{ 0x7e7e7e7e, 0x01F5 },
{ 0x7e7e7e7e, 0x03F5 },
{ 0x7e7e7e7e, 0x05F5 },
{ 0x7e7e7e7e, 0x07F5 },
{ 0x7f000000, 0x0206 },
{ 0x7f007f00, 0x0226 },
{ 0x7f007f00, 0x0626 },
{ 0x7f7f7f7f, 0x0036 },
{ 0x7f7f7f7f, 0x0236 },
{ 0x7f7f7f7f, 0x0436 },
{ 0x7f7f7f7f, 0x0636 },
{ 0x7f800000, 0x0247 },
{ 0x7f807f80, 0x0267 },
{ 0x7f807f80, 0x0667 },
{ 0x7fc00000, 0x0288 },
{ 0x7fc07fc0, 0x02A8 },
{ 0x7fc07fc0, 0x06A8 },
{ 0x7fe00000, 0x02C9 },
{ 0x7fe07fe0, 0x02E9 },
{ 0x7fe07fe0, 0x06E9 },
{ 0x7ff00000, 0x030A },
{ 0x7ff07ff0, 0x032A },
{ 0x7ff07ff0, 0x072A },
{ 0x7ff80000, 0x034B },
{ 0x7ff87ff8, 0x036B },
{ 0x7ff87ff8, 0x076B },
{ 0x7ffc0000, 0x038C },
{ 0x7ffc7ffc, 0x03AC },
{ 0x7ffc7ffc, 0x07AC },
{ 0x7ffe0000, 0x03CD },
{ 0x7ffe7ffe, 0x03ED },
{ 0x7ffe7ffe, 0x07ED },
{ 0x7fff0000, 0x040E },
{ 0x7fff7fff, 0x002E },
{ 0x7fff7fff, 0x042E },
{ 0x7fff8000, 0x044F },
{ 0x7fffc000, 0x0490 },
{ 0x7fffe000, 0x04D1 },
{ 0x7ffff000, 0x0512 },
{ 0x7ffff800, 0x0553 },
{ 0x7ffffc00, 0x0594 },
{ 0x7ffffe00, 0x05D5 },
{ 0x7fffff00, 0x0616 },
{ 0x7fffff80, 0x0657 },
{ 0x7fffffc0, 0x0698 },
{ 0x7fffffe0, 0x06D9 },
{ 0x7ffffff0, 0x071A },
{ 0x7ffffff8, 0x075B },
{ 0x7ffffffc, 0x079C },
{ 0x7ffffffe, 0x07DD },
{ 0x7fffffff, 0x001E },
{ 0x80000000, 0x0040 },
{ 0x80000001, 0x0041 },
{ 0x80000003, 0x0042 },
{ 0x80000007, 0x0043 },
{ 0x8000000f, 0x0044 },
{ 0x8000001f, 0x0045 },
{ 0x8000003f, 0x0046 },
{ 0x8000007f, 0x0047 },
{ 0x800000ff, 0x0048 },
{ 0x800001ff, 0x0049 },
{ 0x800003ff, 0x004A },
{ 0x800007ff, 0x004B },
{ 0x80000fff, 0x004C },
{ 0x80001fff, 0x004D },
{ 0x80003fff, 0x004E },
{ 0x80007fff, 0x004F },
{ 0x80008000, 0x0060 },
{ 0x80008000, 0x0460 },
{ 0x8000ffff, 0x0050 },
{ 0x80018001, 0x0061 },
{ 0x80018001, 0x0461 },
{ 0x8001ffff, 0x0051 },
{ 0x80038003, 0x0062 },
{ 0x80038003, 0x0462 },
{ 0x8003ffff, 0x0052 },
{ 0x80078007, 0x0063 },
{ 0x80078007, 0x0463 },
{ 0x8007ffff, 0x0053 },
{ 0x800f800f, 0x0064 },
{ 0x800f800f, 0x0464 },
{ 0x800fffff, 0x0054 },
{ 0x801f801f, 0x0065 },
{ 0x801f801f, 0x0465 },
{ 0x801fffff, 0x0055 },
{ 0x803f803f, 0x0066 },
{ 0x803f803f, 0x0466 },
{ 0x803fffff, 0x0056 },
{ 0x807f807f, 0x0067 },
{ 0x807f807f, 0x0467 },
{ 0x807fffff, 0x0057 },
{ 0x80808080, 0x0070 },
{ 0x80808080, 0x0270 },
{ 0x80808080, 0x0470 },
{ 0x80808080, 0x0670 },
{ 0x80ff80ff, 0x0068 },
{ 0x80ff80ff, 0x0468 },
{ 0x80ffffff, 0x0058 },
{ 0x81818181, 0x0071 },
{ 0x81818181, 0x0271 },
{ 0x81818181, 0x0471 },
{ 0x81818181, 0x0671 },
{ 0x81ff81ff, 0x0069 },
{ 0x81ff81ff, 0x0469 },
{ 0x81ffffff, 0x0059 },
{ 0x83838383, 0x0072 },
{ 0x83838383, 0x0272 },
{ 0x83838383, 0x0472 },
{ 0x83838383, 0x0672 },
{ 0x83ff83ff, 0x006A },
{ 0x83ff83ff, 0x046A },
{ 0x83ffffff, 0x005A },
{ 0x87878787, 0x0073 },
{ 0x87878787, 0x0273 },
{ 0x87878787, 0x0473 },
{ 0x87878787, 0x0673 },
{ 0x87ff87ff, 0x006B },
{ 0x87ff87ff, 0x046B },
{ 0x87ffffff, 0x005B },
{ 0x88888888, 0x0078 },
{ 0x88888888, 0x0178 },
{ 0x88888888, 0x0278 },
{ 0x88888888, 0x0378 },
{ 0x88888888, 0x0478 },
{ 0x88888888, 0x0578 },
{ 0x88888888, 0x0678 },
{ 0x88888888, 0x0778 },
{ 0x8f8f8f8f, 0x0074 },
{ 0x8f8f8f8f, 0x0274 },
{ 0x8f8f8f8f, 0x0474 },
{ 0x8f8f8f8f, 0x0674 },
{ 0x8fff8fff, 0x006C },
{ 0x8fff8fff, 0x046C },
{ 0x8fffffff, 0x005C },
{ 0x99999999, 0x0079 },
{ 0x99999999, 0x0179 },
{ 0x99999999, 0x0279 },
{ 0x99999999, 0x0379 },
{ 0x99999999, 0x0479 },
{ 0x99999999, 0x0579 },
{ 0x99999999, 0x0679 },
{ 0x99999999, 0x0779 },
{ 0x9f9f9f9f, 0x0075 },
{ 0x9f9f9f9f, 0x0275 },
{ 0x9f9f9f9f, 0x0475 },
{ 0x9f9f9f9f, 0x0675 },
{ 0x9fff9fff, 0x006D },
{ 0x9fff9fff, 0x046D },
{ 0x9fffffff, 0x005D },
{ 0xaaaaaaaa, 0x007C },
{ 0xaaaaaaaa, 0x00FC },
{ 0xaaaaaaaa, 0x017C },
{ 0xaaaaaaaa, 0x01FC },
{ 0xaaaaaaaa, 0x027C },
{ 0xaaaaaaaa, 0x02FC },
{ 0xaaaaaaaa, 0x037C },
{ 0xaaaaaaaa, 0x03FC },
{ 0xaaaaaaaa, 0x047C },
{ 0xaaaaaaaa, 0x04FC },
{ 0xaaaaaaaa, 0x057C },
{ 0xaaaaaaaa, 0x05FC },
{ 0xaaaaaaaa, 0x067C },
{ 0xaaaaaaaa, 0x06FC },
{ 0xaaaaaaaa, 0x077C },
{ 0xaaaaaaaa, 0x07FC },
{ 0xbbbbbbbb, 0x007A },
{ 0xbbbbbbbb, 0x017A },
{ 0xbbbbbbbb, 0x027A },
{ 0xbbbbbbbb, 0x037A },
{ 0xbbbbbbbb, 0x047A },
{ 0xbbbbbbbb, 0x057A },
{ 0xbbbbbbbb, 0x067A },
{ 0xbbbbbbbb, 0x077A },
{ 0xbfbfbfbf, 0x0076 },
{ 0xbfbfbfbf, 0x0276 },
{ 0xbfbfbfbf, 0x0476 },
{ 0xbfbfbfbf, 0x0676 },
{ 0xbfffbfff, 0x006E },
{ 0xbfffbfff, 0x046E },
{ 0xbfffffff, 0x005E },
{ 0xc0000000, 0x0081 },
{ 0xc0000001, 0x0082 },
{ 0xc0000003, 0x0083 },
{ 0xc0000007, 0x0084 },
{ 0xc000000f, 0x0085 },
{ 0xc000001f, 0x0086 },
{ 0xc000003f, 0x0087 },
{ 0xc000007f, 0x0088 },
{ 0xc00000ff, 0x0089 },
{ 0xc00001ff, 0x008A },
{ 0xc00003ff, 0x008B },
{ 0xc00007ff, 0x008C },
{ 0xc0000fff, 0x008D },
{ 0xc0001fff, 0x008E },
{ 0xc0003fff, 0x008F },
{ 0xc0007fff, 0x0090 },
{ 0xc000c000, 0x00A1 },
{ 0xc000c000, 0x04A1 },
{ 0xc000ffff, 0x0091 },
{ 0xc001c001, 0x00A2 },
{ 0xc001c001, 0x04A2 },
{ 0xc001ffff, 0x0092 },
{ 0xc003c003, 0x00A3 },
{ 0xc003c003, 0x04A3 },
{ 0xc003ffff, 0x0093 },
{ 0xc007c007, 0x00A4 },
{ 0xc007c007, 0x04A4 },
{ 0xc007ffff, 0x0094 },
{ 0xc00fc00f, 0x00A5 },
{ 0xc00fc00f, 0x04A5 },
{ 0xc00fffff, 0x0095 },
{ 0xc01fc01f, 0x00A6 },
{ 0xc01fc01f, 0x04A6 },
{ 0xc01fffff, 0x0096 },
{ 0xc03fc03f, 0x00A7 },
{ 0xc03fc03f, 0x04A7 },
{ 0xc03fffff, 0x0097 },
{ 0xc07fc07f, 0x00A8 },
{ 0xc07fc07f, 0x04A8 },
{ 0xc07fffff, 0x0098 },
{ 0xc0c0c0c0, 0x00B1 },
{ 0xc0c0c0c0, 0x02B1 },
{ 0xc0c0c0c0, 0x04B1 },
{ 0xc0c0c0c0, 0x06B1 },
{ 0xc0ffc0ff, 0x00A9 },
{ 0xc0ffc0ff, 0x04A9 },
{ 0xc0ffffff, 0x0099 },
{ 0xc1c1c1c1, 0x00B2 },
{ 0xc1c1c1c1, 0x02B2 },
{ 0xc1c1c1c1, 0x04B2 },
{ 0xc1c1c1c1, 0x06B2 },
{ 0xc1ffc1ff, 0x00AA },
{ 0xc1ffc1ff, 0x04AA },
{ 0xc1ffffff, 0x009A },
{ 0xc3c3c3c3, 0x00B3 },
{ 0xc3c3c3c3, 0x02B3 },
{ 0xc3c3c3c3, 0x04B3 },
{ 0xc3c3c3c3, 0x06B3 },
{ 0xc3ffc3ff, 0x00AB },
{ 0xc3ffc3ff, 0x04AB },
{ 0xc3ffffff, 0x009B },
{ 0xc7c7c7c7, 0x00B4 },
{ 0xc7c7c7c7, 0x02B4 },
{ 0xc7c7c7c7, 0x04B4 },
{ 0xc7c7c7c7, 0x06B4 },
{ 0xc7ffc7ff, 0x00AC },
{ 0xc7ffc7ff, 0x04AC },
{ 0xc7ffffff, 0x009C },
{ 0xcccccccc, 0x00B9 },
{ 0xcccccccc, 0x01B9 },
{ 0xcccccccc, 0x02B9 },
{ 0xcccccccc, 0x03B9 },
{ 0xcccccccc, 0x04B9 },
{ 0xcccccccc, 0x05B9 },
{ 0xcccccccc, 0x06B9 },
{ 0xcccccccc, 0x07B9 },
{ 0xcfcfcfcf, 0x00B5 },
{ 0xcfcfcfcf, 0x02B5 },
{ 0xcfcfcfcf, 0x04B5 },
{ 0xcfcfcfcf, 0x06B5 },
{ 0xcfffcfff, 0x00AD },
{ 0xcfffcfff, 0x04AD },
{ 0xcfffffff, 0x009D },
{ 0xdddddddd, 0x00BA },
{ 0xdddddddd, 0x01BA },
{ 0xdddddddd, 0x02BA },
{ 0xdddddddd, 0x03BA },
{ 0xdddddddd, 0x04BA },
{ 0xdddddddd, 0x05BA },
{ 0xdddddddd, 0x06BA },
{ 0xdddddddd, 0x07BA },
{ 0xdfdfdfdf, 0x00B6 },
{ 0xdfdfdfdf, 0x02B6 },
{ 0xdfdfdfdf, 0x04B6 },
{ 0xdfdfdfdf, 0x06B6 },
{ 0xdfffdfff, 0x00AE },
{ 0xdfffdfff, 0x04AE },
{ 0xdfffffff, 0x009E },
{ 0xe0000000, 0x00C2 },
{ 0xe0000001, 0x00C3 },
{ 0xe0000003, 0x00C4 },
{ 0xe0000007, 0x00C5 },
{ 0xe000000f, 0x00C6 },
{ 0xe000001f, 0x00C7 },
{ 0xe000003f, 0x00C8 },
{ 0xe000007f, 0x00C9 },
{ 0xe00000ff, 0x00CA },
{ 0xe00001ff, 0x00CB },
{ 0xe00003ff, 0x00CC },
{ 0xe00007ff, 0x00CD },
{ 0xe0000fff, 0x00CE },
{ 0xe0001fff, 0x00CF },
{ 0xe0003fff, 0x00D0 },
{ 0xe0007fff, 0x00D1 },
{ 0xe000e000, 0x00E2 },
{ 0xe000e000, 0x04E2 },
{ 0xe000ffff, 0x00D2 },
{ 0xe001e001, 0x00E3 },
{ 0xe001e001, 0x04E3 },
{ 0xe001ffff, 0x00D3 },
{ 0xe003e003, 0x00E4 },
{ 0xe003e003, 0x04E4 },
{ 0xe003ffff, 0x00D4 },
{ 0xe007e007, 0x00E5 },
{ 0xe007e007, 0x04E5 },
{ 0xe007ffff, 0x00D5 },
{ 0xe00fe00f, 0x00E6 },
{ 0xe00fe00f, 0x04E6 },
{ 0xe00fffff, 0x00D6 },
{ 0xe01fe01f, 0x00E7 },
{ 0xe01fe01f, 0x04E7 },
{ 0xe01fffff, 0x00D7 },
{ 0xe03fe03f, 0x00E8 },
{ 0xe03fe03f, 0x04E8 },
{ 0xe03fffff, 0x00D8 },
{ 0xe07fe07f, 0x00E9 },
{ 0xe07fe07f, 0x04E9 },
{ 0xe07fffff, 0x00D9 },
{ 0xe0e0e0e0, 0x00F2 },
{ 0xe0e0e0e0, 0x02F2 },
{ 0xe0e0e0e0, 0x04F2 },
{ 0xe0e0e0e0, 0x06F2 },
{ 0xe0ffe0ff, 0x00EA },
{ 0xe0ffe0ff, 0x04EA },
{ 0xe0ffffff, 0x00DA },
{ 0xe1e1e1e1, 0x00F3 },
{ 0xe1e1e1e1, 0x02F3 },
{ 0xe1e1e1e1, 0x04F3 },
{ 0xe1e1e1e1, 0x06F3 },
{ 0xe1ffe1ff, 0x00EB },
{ 0xe1ffe1ff, 0x04EB },
{ 0xe1ffffff, 0x00DB },
{ 0xe3e3e3e3, 0x00F4 },
{ 0xe3e3e3e3, 0x02F4 },
{ 0xe3e3e3e3, 0x04F4 },
{ 0xe3e3e3e3, 0x06F4 },
{ 0xe3ffe3ff, 0x00EC },
{ 0xe3ffe3ff, 0x04EC },
{ 0xe3ffffff, 0x00DC },
{ 0xe7e7e7e7, 0x00F5 },
{ 0xe7e7e7e7, 0x02F5 },
{ 0xe7e7e7e7, 0x04F5 },
{ 0xe7e7e7e7, 0x06F5 },
{ 0xe7ffe7ff, 0x00ED },
{ 0xe7ffe7ff, 0x04ED },
{ 0xe7ffffff, 0x00DD },
{ 0xeeeeeeee, 0x00FA },
{ 0xeeeeeeee, 0x01FA },
{ 0xeeeeeeee, 0x02FA },
{ 0xeeeeeeee, 0x03FA },
{ 0xeeeeeeee, 0x04FA },
{ 0xeeeeeeee, 0x05FA },
{ 0xeeeeeeee, 0x06FA },
{ 0xeeeeeeee, 0x07FA },
{ 0xefefefef, 0x00F6 },
{ 0xefefefef, 0x02F6 },
{ 0xefefefef, 0x04F6 },
{ 0xefefefef, 0x06F6 },
{ 0xefffefff, 0x00EE },
{ 0xefffefff, 0x04EE },
{ 0xefffffff, 0x00DE },
{ 0xf0000000, 0x0103 },
{ 0xf0000001, 0x0104 },
{ 0xf0000003, 0x0105 },
{ 0xf0000007, 0x0106 },
{ 0xf000000f, 0x0107 },
{ 0xf000001f, 0x0108 },
{ 0xf000003f, 0x0109 },
{ 0xf000007f, 0x010A },
{ 0xf00000ff, 0x010B },
{ 0xf00001ff, 0x010C },
{ 0xf00003ff, 0x010D },
{ 0xf00007ff, 0x010E },
{ 0xf0000fff, 0x010F },
{ 0xf0001fff, 0x0110 },
{ 0xf0003fff, 0x0111 },
{ 0xf0007fff, 0x0112 },
{ 0xf000f000, 0x0123 },
{ 0xf000f000, 0x0523 },
{ 0xf000ffff, 0x0113 },
{ 0xf001f001, 0x0124 },
{ 0xf001f001, 0x0524 },
{ 0xf001ffff, 0x0114 },
{ 0xf003f003, 0x0125 },
{ 0xf003f003, 0x0525 },
{ 0xf003ffff, 0x0115 },
{ 0xf007f007, 0x0126 },
{ 0xf007f007, 0x0526 },
{ 0xf007ffff, 0x0116 },
{ 0xf00ff00f, 0x0127 },
{ 0xf00ff00f, 0x0527 },
{ 0xf00fffff, 0x0117 },
{ 0xf01ff01f, 0x0128 },
{ 0xf01ff01f, 0x0528 },
{ 0xf01fffff, 0x0118 },
{ 0xf03ff03f, 0x0129 },
{ 0xf03ff03f, 0x0529 },
{ 0xf03fffff, 0x0119 },
{ 0xf07ff07f, 0x012A },
{ 0xf07ff07f, 0x052A },
{ 0xf07fffff, 0x011A },
{ 0xf0f0f0f0, 0x0133 },
{ 0xf0f0f0f0, 0x0333 },
{ 0xf0f0f0f0, 0x0533 },
{ 0xf0f0f0f0, 0x0733 },
{ 0xf0fff0ff, 0x012B },
{ 0xf0fff0ff, 0x052B },
{ 0xf0ffffff, 0x011B },
{ 0xf1f1f1f1, 0x0134 },
{ 0xf1f1f1f1, 0x0334 },
{ 0xf1f1f1f1, 0x0534 },
{ 0xf1f1f1f1, 0x0734 },
{ 0xf1fff1ff, 0x012C },
{ 0xf1fff1ff, 0x052C },
{ 0xf1ffffff, 0x011C },
{ 0xf3f3f3f3, 0x0135 },
{ 0xf3f3f3f3, 0x0335 },
{ 0xf3f3f3f3, 0x0535 },
{ 0xf3f3f3f3, 0x0735 },
{ 0xf3fff3ff, 0x012D },
{ 0xf3fff3ff, 0x052D },
{ 0xf3ffffff, 0x011D },
{ 0xf7f7f7f7, 0x0136 },
{ 0xf7f7f7f7, 0x0336 },
{ 0xf7f7f7f7, 0x0536 },
{ 0xf7f7f7f7, 0x0736 },
{ 0xf7fff7ff, 0x012E },
{ 0xf7fff7ff, 0x052E },
{ 0xf7ffffff, 0x011E },
{ 0xf8000000, 0x0144 },
{ 0xf8000001, 0x0145 },
{ 0xf8000003, 0x0146 },
{ 0xf8000007, 0x0147 },
{ 0xf800000f, 0x0148 },
{ 0xf800001f, 0x0149 },
{ 0xf800003f, 0x014A },
{ 0xf800007f, 0x014B },
{ 0xf80000ff, 0x014C },
{ 0xf80001ff, 0x014D },
{ 0xf80003ff, 0x014E },
{ 0xf80007ff, 0x014F },
{ 0xf8000fff, 0x0150 },
{ 0xf8001fff, 0x0151 },
{ 0xf8003fff, 0x0152 },
{ 0xf8007fff, 0x0153 },
{ 0xf800f800, 0x0164 },
{ 0xf800f800, 0x0564 },
{ 0xf800ffff, 0x0154 },
{ 0xf801f801, 0x0165 },
{ 0xf801f801, 0x0565 },
{ 0xf801ffff, 0x0155 },
{ 0xf803f803, 0x0166 },
{ 0xf803f803, 0x0566 },
{ 0xf803ffff, 0x0156 },
{ 0xf807f807, 0x0167 },
{ 0xf807f807, 0x0567 },
{ 0xf807ffff, 0x0157 },
{ 0xf80ff80f, 0x0168 },
{ 0xf80ff80f, 0x0568 },
{ 0xf80fffff, 0x0158 },
{ 0xf81ff81f, 0x0169 },
{ 0xf81ff81f, 0x0569 },
{ 0xf81fffff, 0x0159 },
{ 0xf83ff83f, 0x016A },
{ 0xf83ff83f, 0x056A },
{ 0xf83fffff, 0x015A },
{ 0xf87ff87f, 0x016B },
{ 0xf87ff87f, 0x056B },
{ 0xf87fffff, 0x015B },
{ 0xf8f8f8f8, 0x0174 },
{ 0xf8f8f8f8, 0x0374 },
{ 0xf8f8f8f8, 0x0574 },
{ 0xf8f8f8f8, 0x0774 },
{ 0xf8fff8ff, 0x016C },
{ 0xf8fff8ff, 0x056C },
{ 0xf8ffffff, 0x015C },
{ 0xf9f9f9f9, 0x0175 },
{ 0xf9f9f9f9, 0x0375 },
{ 0xf9f9f9f9, 0x0575 },
{ 0xf9f9f9f9, 0x0775 },
{ 0xf9fff9ff, 0x016D },
{ 0xf9fff9ff, 0x056D },
{ 0xf9ffffff, 0x015D },
{ 0xfbfbfbfb, 0x0176 },
{ 0xfbfbfbfb, 0x0376 },
{ 0xfbfbfbfb, 0x0576 },
{ 0xfbfbfbfb, 0x0776 },
{ 0xfbfffbff, 0x016E },
{ 0xfbfffbff, 0x056E },
{ 0xfbffffff, 0x015E },
{ 0xfc000000, 0x0185 },
{ 0xfc000001, 0x0186 },
{ 0xfc000003, 0x0187 },
{ 0xfc000007, 0x0188 },
{ 0xfc00000f, 0x0189 },
{ 0xfc00001f, 0x018A },
{ 0xfc00003f, 0x018B },
{ 0xfc00007f, 0x018C },
{ 0xfc0000ff, 0x018D },
{ 0xfc0001ff, 0x018E },
{ 0xfc0003ff, 0x018F },
{ 0xfc0007ff, 0x0190 },
{ 0xfc000fff, 0x0191 },
{ 0xfc001fff, 0x0192 },
{ 0xfc003fff, 0x0193 },
{ 0xfc007fff, 0x0194 },
{ 0xfc00fc00, 0x01A5 },
{ 0xfc00fc00, 0x05A5 },
{ 0xfc00ffff, 0x0195 },
{ 0xfc01fc01, 0x01A6 },
{ 0xfc01fc01, 0x05A6 },
{ 0xfc01ffff, 0x0196 },
{ 0xfc03fc03, 0x01A7 },
{ 0xfc03fc03, 0x05A7 },
{ 0xfc03ffff, 0x0197 },
{ 0xfc07fc07, 0x01A8 },
{ 0xfc07fc07, 0x05A8 },
{ 0xfc07ffff, 0x0198 },
{ 0xfc0ffc0f, 0x01A9 },
{ 0xfc0ffc0f, 0x05A9 },
{ 0xfc0fffff, 0x0199 },
{ 0xfc1ffc1f, 0x01AA },
{ 0xfc1ffc1f, 0x05AA },
{ 0xfc1fffff, 0x019A },
{ 0xfc3ffc3f, 0x01AB },
{ 0xfc3ffc3f, 0x05AB },
{ 0xfc3fffff, 0x019B },
{ 0xfc7ffc7f, 0x01AC },
{ 0xfc7ffc7f, 0x05AC },
{ 0xfc7fffff, 0x019C },
{ 0xfcfcfcfc, 0x01B5 },
{ 0xfcfcfcfc, 0x03B5 },
{ 0xfcfcfcfc, 0x05B5 },
{ 0xfcfcfcfc, 0x07B5 },
{ 0xfcfffcff, 0x01AD },
{ 0xfcfffcff, 0x05AD },
{ 0xfcffffff, 0x019D },
{ 0xfdfdfdfd, 0x01B6 },
{ 0xfdfdfdfd, 0x03B6 },
{ 0xfdfdfdfd, 0x05B6 },
{ 0xfdfdfdfd, 0x07B6 },
{ 0xfdfffdff, 0x01AE },
{ 0xfdfffdff, 0x05AE },
{ 0xfdffffff, 0x019E },
{ 0xfe000000, 0x01C6 },
{ 0xfe000001, 0x01C7 },
{ 0xfe000003, 0x01C8 },
{ 0xfe000007, 0x01C9 },
{ 0xfe00000f, 0x01CA },
{ 0xfe00001f, 0x01CB },
{ 0xfe00003f, 0x01CC },
{ 0xfe00007f, 0x01CD },
{ 0xfe0000ff, 0x01CE },
{ 0xfe0001ff, 0x01CF },
{ 0xfe0003ff, 0x01D0 },
{ 0xfe0007ff, 0x01D1 },
{ 0xfe000fff, 0x01D2 },
{ 0xfe001fff, 0x01D3 },
{ 0xfe003fff, 0x01D4 },
{ 0xfe007fff, 0x01D5 },
{ 0xfe00fe00, 0x01E6 },
{ 0xfe00fe00, 0x05E6 },
{ 0xfe00ffff, 0x01D6 },
{ 0xfe01fe01, 0x01E7 },
{ 0xfe01fe01, 0x05E7 },
{ 0xfe01ffff, 0x01D7 },
{ 0xfe03fe03, 0x01E8 },
{ 0xfe03fe03, 0x05E8 },
{ 0xfe03ffff, 0x01D8 },
{ 0xfe07fe07, 0x01E9 },
{ 0xfe07fe07, 0x05E9 },
{ 0xfe07ffff, 0x01D9 },
{ 0xfe0ffe0f, 0x01EA },
{ 0xfe0ffe0f, 0x05EA },
{ 0xfe0fffff, 0x01DA },
{ 0xfe1ffe1f, 0x01EB },
{ 0xfe1ffe1f, 0x05EB },
{ 0xfe1fffff, 0x01DB },
{ 0xfe3ffe3f, 0x01EC },
{ 0xfe3ffe3f, 0x05EC },
{ 0xfe3fffff, 0x01DC },
{ 0xfe7ffe7f, 0x01ED },
{ 0xfe7ffe7f, 0x05ED },
{ 0xfe7fffff, 0x01DD },
{ 0xfefefefe, 0x01F6 },
{ 0xfefefefe, 0x03F6 },
{ 0xfefefefe, 0x05F6 },
{ 0xfefefefe, 0x07F6 },
{ 0xfefffeff, 0x01EE },
{ 0xfefffeff, 0x05EE },
{ 0xfeffffff, 0x01DE },
{ 0xff000000, 0x0207 },
{ 0xff000001, 0x0208 },
{ 0xff000003, 0x0209 },
{ 0xff000007, 0x020A },
{ 0xff00000f, 0x020B },
{ 0xff00001f, 0x020C },
{ 0xff00003f, 0x020D },
{ 0xff00007f, 0x020E },
{ 0xff0000ff, 0x020F },
{ 0xff0001ff, 0x0210 },
{ 0xff0003ff, 0x0211 },
{ 0xff0007ff, 0x0212 },
{ 0xff000fff, 0x0213 },
{ 0xff001fff, 0x0214 },
{ 0xff003fff, 0x0215 },
{ 0xff007fff, 0x0216 },
{ 0xff00ff00, 0x0227 },
{ 0xff00ff00, 0x0627 },
{ 0xff00ffff, 0x0217 },
{ 0xff01ff01, 0x0228 },
{ 0xff01ff01, 0x0628 },
{ 0xff01ffff, 0x0218 },
{ 0xff03ff03, 0x0229 },
{ 0xff03ff03, 0x0629 },
{ 0xff03ffff, 0x0219 },
{ 0xff07ff07, 0x022A },
{ 0xff07ff07, 0x062A },
{ 0xff07ffff, 0x021A },
{ 0xff0fff0f, 0x022B },
{ 0xff0fff0f, 0x062B },
{ 0xff0fffff, 0x021B },
{ 0xff1fff1f, 0x022C },
{ 0xff1fff1f, 0x062C },
{ 0xff1fffff, 0x021C },
{ 0xff3fff3f, 0x022D },
{ 0xff3fff3f, 0x062D },
{ 0xff3fffff, 0x021D },
{ 0xff7fff7f, 0x022E },
{ 0xff7fff7f, 0x062E },
{ 0xff7fffff, 0x021E },
{ 0xff800000, 0x0248 },
{ 0xff800001, 0x0249 },
{ 0xff800003, 0x024A },
{ 0xff800007, 0x024B },
{ 0xff80000f, 0x024C },
{ 0xff80001f, 0x024D },
{ 0xff80003f, 0x024E },
{ 0xff80007f, 0x024F },
{ 0xff8000ff, 0x0250 },
{ 0xff8001ff, 0x0251 },
{ 0xff8003ff, 0x0252 },
{ 0xff8007ff, 0x0253 },
{ 0xff800fff, 0x0254 },
{ 0xff801fff, 0x0255 },
{ 0xff803fff, 0x0256 },
{ 0xff807fff, 0x0257 },
{ 0xff80ff80, 0x0268 },
{ 0xff80ff80, 0x0668 },
{ 0xff80ffff, 0x0258 },
{ 0xff81ff81, 0x0269 },
{ 0xff81ff81, 0x0669 },
{ 0xff81ffff, 0x0259 },
{ 0xff83ff83, 0x026A },
{ 0xff83ff83, 0x066A },
{ 0xff83ffff, 0x025A },
{ 0xff87ff87, 0x026B },
{ 0xff87ff87, 0x066B },
{ 0xff87ffff, 0x025B },
{ 0xff8fff8f, 0x026C },
{ 0xff8fff8f, 0x066C },
{ 0xff8fffff, 0x025C },
{ 0xff9fff9f, 0x026D },
{ 0xff9fff9f, 0x066D },
{ 0xff9fffff, 0x025D },
{ 0xffbfffbf, 0x026E },
{ 0xffbfffbf, 0x066E },
{ 0xffbfffff, 0x025E },
{ 0xffc00000, 0x0289 },
{ 0xffc00001, 0x028A },
{ 0xffc00003, 0x028B },
{ 0xffc00007, 0x028C },
{ 0xffc0000f, 0x028D },
{ 0xffc0001f, 0x028E },
{ 0xffc0003f, 0x028F },
{ 0xffc0007f, 0x0290 },
{ 0xffc000ff, 0x0291 },
{ 0xffc001ff, 0x0292 },
{ 0xffc003ff, 0x0293 },
{ 0xffc007ff, 0x0294 },
{ 0xffc00fff, 0x0295 },
{ 0xffc01fff, 0x0296 },
{ 0xffc03fff, 0x0297 },
{ 0xffc07fff, 0x0298 },
{ 0xffc0ffc0, 0x02A9 },
{ 0xffc0ffc0, 0x06A9 },
{ 0xffc0ffff, 0x0299 },
{ 0xffc1ffc1, 0x02AA },
{ 0xffc1ffc1, 0x06AA },
{ 0xffc1ffff, 0x029A },
{ 0xffc3ffc3, 0x02AB },
{ 0xffc3ffc3, 0x06AB },
{ 0xffc3ffff, 0x029B },
{ 0xffc7ffc7, 0x02AC },
{ 0xffc7ffc7, 0x06AC },
{ 0xffc7ffff, 0x029C },
{ 0xffcfffcf, 0x02AD },
{ 0xffcfffcf, 0x06AD },
{ 0xffcfffff, 0x029D },
{ 0xffdfffdf, 0x02AE },
{ 0xffdfffdf, 0x06AE },
{ 0xffdfffff, 0x029E },
{ 0xffe00000, 0x02CA },
{ 0xffe00001, 0x02CB },
{ 0xffe00003, 0x02CC },
{ 0xffe00007, 0x02CD },
{ 0xffe0000f, 0x02CE },
{ 0xffe0001f, 0x02CF },
{ 0xffe0003f, 0x02D0 },
{ 0xffe0007f, 0x02D1 },
{ 0xffe000ff, 0x02D2 },
{ 0xffe001ff, 0x02D3 },
{ 0xffe003ff, 0x02D4 },
{ 0xffe007ff, 0x02D5 },
{ 0xffe00fff, 0x02D6 },
{ 0xffe01fff, 0x02D7 },
{ 0xffe03fff, 0x02D8 },
{ 0xffe07fff, 0x02D9 },
{ 0xffe0ffe0, 0x02EA },
{ 0xffe0ffe0, 0x06EA },
{ 0xffe0ffff, 0x02DA },
{ 0xffe1ffe1, 0x02EB },
{ 0xffe1ffe1, 0x06EB },
{ 0xffe1ffff, 0x02DB },
{ 0xffe3ffe3, 0x02EC },
{ 0xffe3ffe3, 0x06EC },
{ 0xffe3ffff, 0x02DC },
{ 0xffe7ffe7, 0x02ED },
{ 0xffe7ffe7, 0x06ED },
{ 0xffe7ffff, 0x02DD },
{ 0xffefffef, 0x02EE },
{ 0xffefffef, 0x06EE },
{ 0xffefffff, 0x02DE },
{ 0xfff00000, 0x030B },
{ 0xfff00001, 0x030C },
{ 0xfff00003, 0x030D },
{ 0xfff00007, 0x030E },
{ 0xfff0000f, 0x030F },
{ 0xfff0001f, 0x0310 },
{ 0xfff0003f, 0x0311 },
{ 0xfff0007f, 0x0312 },
{ 0xfff000ff, 0x0313 },
{ 0xfff001ff, 0x0314 },
{ 0xfff003ff, 0x0315 },
{ 0xfff007ff, 0x0316 },
{ 0xfff00fff, 0x0317 },
{ 0xfff01fff, 0x0318 },
{ 0xfff03fff, 0x0319 },
{ 0xfff07fff, 0x031A },
{ 0xfff0fff0, 0x032B },
{ 0xfff0fff0, 0x072B },
{ 0xfff0ffff, 0x031B },
{ 0xfff1fff1, 0x032C },
{ 0xfff1fff1, 0x072C },
{ 0xfff1ffff, 0x031C },
{ 0xfff3fff3, 0x032D },
{ 0xfff3fff3, 0x072D },
{ 0xfff3ffff, 0x031D },
{ 0xfff7fff7, 0x032E },
{ 0xfff7fff7, 0x072E },
{ 0xfff7ffff, 0x031E },
{ 0xfff80000, 0x034C },
{ 0xfff80001, 0x034D },
{ 0xfff80003, 0x034E },
{ 0xfff80007, 0x034F },
{ 0xfff8000f, 0x0350 },
{ 0xfff8001f, 0x0351 },
{ 0xfff8003f, 0x0352 },
{ 0xfff8007f, 0x0353 },
{ 0xfff800ff, 0x0354 },
{ 0xfff801ff, 0x0355 },
{ 0xfff803ff, 0x0356 },
{ 0xfff807ff, 0x0357 },
{ 0xfff80fff, 0x0358 },
{ 0xfff81fff, 0x0359 },
{ 0xfff83fff, 0x035A },
{ 0xfff87fff, 0x035B },
{ 0xfff8fff8, 0x036C },
{ 0xfff8fff8, 0x076C },
{ 0xfff8ffff, 0x035C },
{ 0xfff9fff9, 0x036D },
{ 0xfff9fff9, 0x076D },
{ 0xfff9ffff, 0x035D },
{ 0xfffbfffb, 0x036E },
{ 0xfffbfffb, 0x076E },
{ 0xfffbffff, 0x035E },
{ 0xfffc0000, 0x038D },
{ 0xfffc0001, 0x038E },
{ 0xfffc0003, 0x038F },
{ 0xfffc0007, 0x0390 },
{ 0xfffc000f, 0x0391 },
{ 0xfffc001f, 0x0392 },
{ 0xfffc003f, 0x0393 },
{ 0xfffc007f, 0x0394 },
{ 0xfffc00ff, 0x0395 },
{ 0xfffc01ff, 0x0396 },
{ 0xfffc03ff, 0x0397 },
{ 0xfffc07ff, 0x0398 },
{ 0xfffc0fff, 0x0399 },
{ 0xfffc1fff, 0x039A },
{ 0xfffc3fff, 0x039B },
{ 0xfffc7fff, 0x039C },
{ 0xfffcfffc, 0x03AD },
{ 0xfffcfffc, 0x07AD },
{ 0xfffcffff, 0x039D },
{ 0xfffdfffd, 0x03AE },
{ 0xfffdfffd, 0x07AE },
{ 0xfffdffff, 0x039E },
{ 0xfffe0000, 0x03CE },
{ 0xfffe0001, 0x03CF },
{ 0xfffe0003, 0x03D0 },
{ 0xfffe0007, 0x03D1 },
{ 0xfffe000f, 0x03D2 },
{ 0xfffe001f, 0x03D3 },
{ 0xfffe003f, 0x03D4 },
{ 0xfffe007f, 0x03D5 },
{ 0xfffe00ff, 0x03D6 },
{ 0xfffe01ff, 0x03D7 },
{ 0xfffe03ff, 0x03D8 },
{ 0xfffe07ff, 0x03D9 },
{ 0xfffe0fff, 0x03DA },
{ 0xfffe1fff, 0x03DB },
{ 0xfffe3fff, 0x03DC },
{ 0xfffe7fff, 0x03DD },
{ 0xfffefffe, 0x03EE },
{ 0xfffefffe, 0x07EE },
{ 0xfffeffff, 0x03DE },
{ 0xffff0000, 0x040F },
{ 0xffff0001, 0x0410 },
{ 0xffff0003, 0x0411 },
{ 0xffff0007, 0x0412 },
{ 0xffff000f, 0x0413 },
{ 0xffff001f, 0x0414 },
{ 0xffff003f, 0x0415 },
{ 0xffff007f, 0x0416 },
{ 0xffff00ff, 0x0417 },
{ 0xffff01ff, 0x0418 },
{ 0xffff03ff, 0x0419 },
{ 0xffff07ff, 0x041A },
{ 0xffff0fff, 0x041B },
{ 0xffff1fff, 0x041C },
{ 0xffff3fff, 0x041D },
{ 0xffff7fff, 0x041E },
{ 0xffff8000, 0x0450 },
{ 0xffff8001, 0x0451 },
{ 0xffff8003, 0x0452 },
{ 0xffff8007, 0x0453 },
{ 0xffff800f, 0x0454 },
{ 0xffff801f, 0x0455 },
{ 0xffff803f, 0x0456 },
{ 0xffff807f, 0x0457 },
{ 0xffff80ff, 0x0458 },
{ 0xffff81ff, 0x0459 },
{ 0xffff83ff, 0x045A },
{ 0xffff87ff, 0x045B },
{ 0xffff8fff, 0x045C },
{ 0xffff9fff, 0x045D },
{ 0xffffbfff, 0x045E },
{ 0xffffc000, 0x0491 },
{ 0xffffc001, 0x0492 },
{ 0xffffc003, 0x0493 },
{ 0xffffc007, 0x0494 },
{ 0xffffc00f, 0x0495 },
{ 0xffffc01f, 0x0496 },
{ 0xffffc03f, 0x0497 },
{ 0xffffc07f, 0x0498 },
{ 0xffffc0ff, 0x0499 },
{ 0xffffc1ff, 0x049A },
{ 0xffffc3ff, 0x049B },
{ 0xffffc7ff, 0x049C },
{ 0xffffcfff, 0x049D },
{ 0xffffdfff, 0x049E },
{ 0xffffe000, 0x04D2 },
{ 0xffffe001, 0x04D3 },
{ 0xffffe003, 0x04D4 },
{ 0xffffe007, 0x04D5 },
{ 0xffffe00f, 0x04D6 },
{ 0xffffe01f, 0x04D7 },
{ 0xffffe03f, 0x04D8 },
{ 0xffffe07f, 0x04D9 },
{ 0xffffe0ff, 0x04DA },
{ 0xffffe1ff, 0x04DB },
{ 0xffffe3ff, 0x04DC },
{ 0xffffe7ff, 0x04DD },
{ 0xffffefff, 0x04DE },
{ 0xfffff000, 0x0513 },
{ 0xfffff001, 0x0514 },
{ 0xfffff003, 0x0515 },
{ 0xfffff007, 0x0516 },
{ 0xfffff00f, 0x0517 },
{ 0xfffff01f, 0x0518 },
{ 0xfffff03f, 0x0519 },
{ 0xfffff07f, 0x051A },
{ 0xfffff0ff, 0x051B },
{ 0xfffff1ff, 0x051C },
{ 0xfffff3ff, 0x051D },
{ 0xfffff7ff, 0x051E },
{ 0xfffff800, 0x0554 },
{ 0xfffff801, 0x0555 },
{ 0xfffff803, 0x0556 },
{ 0xfffff807, 0x0557 },
{ 0xfffff80f, 0x0558 },
{ 0xfffff81f, 0x0559 },
{ 0xfffff83f, 0x055A },
{ 0xfffff87f, 0x055B },
{ 0xfffff8ff, 0x055C },
{ 0xfffff9ff, 0x055D },
{ 0xfffffbff, 0x055E },
{ 0xfffffc00, 0x0595 },
{ 0xfffffc01, 0x0596 },
{ 0xfffffc03, 0x0597 },
{ 0xfffffc07, 0x0598 },
{ 0xfffffc0f, 0x0599 },
{ 0xfffffc1f, 0x059A },
{ 0xfffffc3f, 0x059B },
{ 0xfffffc7f, 0x059C },
{ 0xfffffcff, 0x059D },
{ 0xfffffdff, 0x059E },
{ 0xfffffe00, 0x05D6 },
{ 0xfffffe01, 0x05D7 },
{ 0xfffffe03, 0x05D8 },
{ 0xfffffe07, 0x05D9 },
{ 0xfffffe0f, 0x05DA },
{ 0xfffffe1f, 0x05DB },
{ 0xfffffe3f, 0x05DC },
{ 0xfffffe7f, 0x05DD },
{ 0xfffffeff, 0x05DE },
{ 0xffffff00, 0x0617 },
{ 0xffffff01, 0x0618 },
{ 0xffffff03, 0x0619 },
{ 0xffffff07, 0x061A },
{ 0xffffff0f, 0x061B },
{ 0xffffff1f, 0x061C },
{ 0xffffff3f, 0x061D },
{ 0xffffff7f, 0x061E },
{ 0xffffff80, 0x0658 },
{ 0xffffff81, 0x0659 },
{ 0xffffff83, 0x065A },
{ 0xffffff87, 0x065B },
{ 0xffffff8f, 0x065C },
{ 0xffffff9f, 0x065D },
{ 0xffffffbf, 0x065E },
{ 0xffffffc0, 0x0699 },
{ 0xffffffc1, 0x069A },
{ 0xffffffc3, 0x069B },
{ 0xffffffc7, 0x069C },
{ 0xffffffcf, 0x069D },
{ 0xffffffdf, 0x069E },
{ 0xffffffe0, 0x06DA },
{ 0xffffffe1, 0x06DB },
{ 0xffffffe3, 0x06DC },
{ 0xffffffe7, 0x06DD },
{ 0xffffffef, 0x06DE },
{ 0xfffffff0, 0x071B },
{ 0xfffffff1, 0x071C },
{ 0xfffffff3, 0x071D },
{ 0xfffffff7, 0x071E },
{ 0xfffffff8, 0x075C },
{ 0xfffffff9, 0x075D },
{ 0xfffffffb, 0x075E },
{ 0xfffffffc, 0x079D },
{ 0xfffffffd, 0x079E },
{ 0xfffffffe, 0x07DE },
